Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.query
Interface ProductItemQuery

All Superinterfaces
  CatalogQuery, Serializable

All Known Implementing Classes:
  ProductItemQueryImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface ProductItemQuery

extends CatalogQuery

This interface defines all functionality required to perform boolean expression searches of the Product Catalog. It relies upon the `Expression` class to parse and represent boolean expressions.
Use the `CatalogFactory` factory class to construct instances of this interface.

See Also
  `CatalogQueryManager`

Field Summary

Fields inherited from interface com.beasys.commerce.ebusiness.catalog.service.query.CatalogQuery
`ALL_RESULTS`

Method Summary
`Expression` | `getExpression()` Deprecated
`Expression` | `getP13nExpression()` Deprecated See BEA Commerce product offering
`void` | `setExpression(Expression expression)` Deprecated
`void` | `setExpression(Expression expression)` Deprecated See BEA Commerce product offering

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.service.query.CatalogQuery
`getMaxSearchResults, setMaxSearchResults`

Method Detail

### getExpression

    Expression getExpression()

  Deprecated

  Retrieves the expression associated with this query.

### setExpression

    void setExpression(Expression expression)

  Deprecated

  Associates an expression with this query.

  Parameters
    `expression` - The expression to associated with this query.

### setExpression

    void setExpression(Expression expression)

  Deprecated See BEA Commerce product offering

  Associates an expression with this query.

  Parameters
    `expression` - The expression to associated with this query.

### getP13nExpression

    Expression getP13nExpression()

  Deprecated See BEA Commerce product offering

  Retrieves the expression associated with this query.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved